Api key provided on integrations tab in Easyflow platform.
Get event by external reference ID
Retrieves detailed information about an event using its external reference ID. This is an authenticated route and requires valid API credentials.
Headers
x-api-keystringrequiredx-api-secretstringrequiredApi Secret provided on integrations tab in Easyflow platform.
Path parameters
productIdstring · uuidrequiredExternal reference identifier of the event.
Responses
200Event successfully retrieved.
Event successfully retrieved.
Content typeapplication/jsonobject
statusCodeintegerdataobjectShow child attributesHide child attributes
idstring · uuidorganizationobjectShow child attributesHide child attributes
idstring · uuidnamestring
namestringdescriptionstringcoverPictureobjectShow child attributesHide child attributes
namestringpathstringurlstringisPublicbooleanextensionstring
termsAndConditionsobjectShow child attributesHide child attributes
textstringlinkstring
typestringexternalReferenceIdstring · uuidinPersonSettingsobjectShow child attributesHide child attributes
localNamestringcoordinatesobjectShow child attributesHide child attributes
latitudenumberlongitudenumberaltitudenumberaccuracynumbertimestampstring · date-time
addressobjectShow child attributesHide child attributes
zipCodestringstreetstringnumberstringcomplementstringneighborhoodstringcitystringstatestring
onlineSettingsobjectShow child attributesHide child attributes
weblinkstring
daysarray of objectsShow child attributesHide child attributes
idstring · uuidstartsAtstring · date-timeendsAtstring · date-time
400If the provided parameter is invalid, the API will return the following error response:
If the provided parameter is invalid, the API will return the following error response:
Content typeapplication/jsonobject
messagestringInvalid param: []
errorstringBad Request
statusCodeinteger400
errorCodestringCode that identifies the error. Present only on some errors.
401If the request is unauthorized, the API will return the following error response:
If the request is unauthorized, the API will return the following error response:
Content typeapplication/jsonobject
messagestringInvalid field
errorstringUnauthorized
statusCodeinteger401
403If the request is forbidden, the API will return the following error response:
If the request is forbidden, the API will return the following error response:
Content typeapplication/jsonobject
messagestringForbidden resource
errorstringForbidden
statusCodeinteger403
500If an unexpected condition occurs and the server cannot process the request, the API will return the following error response. This response has no error field.
If an unexpected condition occurs and the server cannot process the request, the API will return the following error response. This response has no error field.
Content typeapplication/jsonobject
statusCodeintegerHTTP status code.
messagestringExplanation of the error.